### Function

# Camel mempool_destroy

since: 2.32

#### Declaration [src]

    void
    camel_mempool_destroy (
      CamelMemPool* pool
    )

#### Description [src]

Free all memory associated with a mempool.

Available since: 2.32

This function is not directly available to language bindings.

#### Parameters

`pool`

  Type: `CamelMemPool`

  A `CamelMemPool`.

  The data is owned by the caller of the function.